mra.3d {waveslim} | R Documentation

## Three Dimensional Multiresolution Analysis

### Description

This function performs a level J additive decomposition of the input array using the pyramid algorithm (Mallat 1989).

### Usage

    mra.3d(x, wf, J=4, method="modwt", boundary="periodic")

### Arguments

`x` | A three-dimensional array containing the data be to decomposed. This must be have dyadic length in all three dimensions (but not necessarily the same) for `method="dwt"`.
`wf` | Name of the wavelet filter to use in the decomposition. By default this is set to `"la8"`, the Daubechies orthonormal compactly supported wavelet of length L=8 least asymmetric family.
`J` | Specifies the depth of the decomposition. This must be a number less than or equal to log(length(x),2).
`method` | Either `"dwt"` or `"modwt"`.
`boundary` | Character string specifying the boundary condition. If `boundary=="periodic"` the default and only method implemented, then the matrix you decompose is assumed to be periodic on its defined interval.

### Details

This code implements a three-dimensional multiresolution analysis by performing the one-dimensional pyramid algorithm (Mallat 1989) on each dimension of the input array. Either the DWT or MODWT may be used to compute the multiresolution analysis, which is an additive decomposition of the original array.

### Value

List structure containing the filter triplets associated with the multiresolution analysis.

### Author(s)

B. Whitcher

### References

Mallat, S. G. (1989) A theory for multiresolution signal decomposition: the wavelet representation, IEEE Transactions on Pattern Analysis and Machine Intelligence, 11, No. 7, 674-693.

Mallat, S. G. (1998) A Wavelet Tour of Signal Processing, Academic Press.

### See Also

`dwt.3d`, `modwt.3d`

[Package waveslim version 1.7.5.1 Index]